<template>
    <transition name="fade">
        <li 
            @dragstart="$emit('start-drag', $event, delivery)"
            @dragend="$emit('stop-drag', $event)"
            class="card pt-sm card--primary delivery" 
            draggable="true">
            <p class="delivery__description">
                <span class="delivery__name">Отгрузка #{{ delivery.id }}</span>
            </p>
            <AppDropdown @event="dropdownHandler" :events="events" />      
        </li>
    </transition>
</template>

<script>
import AppDropdown from '../AppDropdown';

export default {
    data() {
        return {
            events: [
                {id: 0, title: 'Отменить', name: 'cancel', style: 'danger'}
            ]
        }
    },
    props: {
        delivery: Object
    },
    components: {
        AppDropdown
    },
    methods: {
        dropdownHandler() {
            this.$emit('remove', this.delivery.id);
        }
    }

}
</script>

<style>

</style>